[Pvfs2-cvs] commit by nlmills in pvfs2/test/automated: README.tests testscrpt.sh

CVS commit program cvs at parl.clemson.edu
Fri Jun 18 20:02:28 EDT 2010


Update of /projects/cvsroot/pvfs2/test/automated
In directory parlweb1:/tmp/cvs-serv17259/test/automated

Modified Files:
      Tag: cu-security-branch
	README.tests testscrpt.sh 
Log Message:
initial merge with Orange-Branch. much will be broken


Index: README.tests
===================================================================
RCS file: /projects/cvsroot/pvfs2/test/automated/README.tests,v
diff -p -u -r1.3.20.3 -r1.3.20.4
--- README.tests	21 May 2010 17:34:25 -0000	1.3.20.3
+++ README.tests	19 Jun 2010 00:02:28 -0000	1.3.20.4
@@ -1,5 +1,5 @@
 #
-# $Date: 2010/05/21 17:34:25 $
+# $Date: 2010/06/19 00:02:28 $
 #
 # A brief description of the contents of the test/automated directory
 

Index: testscrpt.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2/test/automated/testscrpt.sh,v
diff -p -u -r1.80.2.2 -r1.80.2.3
--- testscrpt.sh	21 May 2010 17:34:25 -0000	1.80.2.2
+++ testscrpt.sh	19 Jun 2010 00:02:28 -0000	1.80.2.3
@@ -37,10 +37,17 @@ MPIIO_DRIVER=$(cd `dirname $0`; pwd)/tes
 
 TESTNAME="`hostname -s`-nightly"
 
+# before starting any client apps, we need to deal with the possiblity that we
+# might have built with shared libraries
+export LD_LIBRARY_PATH=${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/lib:${LD_LIBRARY_PATH}
 
 # we only have a few hosts that meet all the earlier stated prereqs
 VFS_HOSTS="gil lain stan"
 
+#
+# Detect basic heap corruption
+#
+export MALLOC_CHECK_=2
 
 # takes one argument: a tag or branch in CVS
 pull_and_build_pvfs2 () {
@@ -95,7 +102,7 @@ teardown_vfs() {
 setup_vfs() {
 	sudo dmesg -c >/dev/null
 	sudo /sbin/insmod ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/lib/modules/`uname -r`/kernel/fs/pvfs2/pvfs2.ko
-	sudo ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client \
+	sudo LD_LIBRARY_PATH=${LD_LIBRARY_PATH} ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client \
 		-p ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client-core \
 		-L ${PVFS2_DEST}/pvfs2-client-${CVS_TAG}.log
 	# sudo screen -d -m cgdb -x ${PVFS2_DEST}/.gdbinit --args ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client-core -L ${PVFS2_DEST}/pvfs2-client-${CVS_TAG}.log
@@ -193,7 +200,7 @@ run_parts() {
 		if [ -x $f ] ; then 
 			echo -n "====== running $f ..."
 			./$f > ${PVFS2_DEST}/${f}-${CVS_TAG}.log
-			if [ $? == 0 ] ; then 
+			if [ $? -eq 0 ] ; then 
 				nr_passed=$((nr_passed + 1))
 				echo "OK"
 			else



More information about the Pvfs2-cvs mailing list